TQScintilla: TQextScintillaLexerJavaScript Class Reference

- Main Page
- Classes
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# TQextScintillaLexerJavaScript Class Reference

The TQextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer. More...

`#include <tqextscintillalexerjavascript.h>`

Inherits TQextScintillaLexerCPP.

List of all members.

## Public Member Functions

- TQextScintillaLexerJavaScript (TQObject *parent=0, const char *name=0)
- virtual ~TQextScintillaLexerJavaScript ()
- const char * language () const
- TQColor color (int style) const
- bool eolFill (int style) const
- TQFont font (int style) const
- const char * keywords (int set) const
- TQString description (int style) const
- TQColor paper (int style) const

## Detailed Description

The TQextScintillaLexerJavaScript class encapsulates the Scintilla JavaScript lexer.

## Constructor & Destructor Documentation

TQextScintillaLexerJavaScript::TQextScintillaLexerJavaScript | ( | TQObject * | parent = `0`,
|  | const char * | name = `0` |
| ) |  |  |

Construct a TQextScintillaLexerJavaScript with parent parent and name name. parent is typically the TQextScintilla instance.

virtual TQextScintillaLexerJavaScript::~TQextScintillaLexerJavaScript | ( |  | ) | `[virtual]`

Destroys the TQextScintillaLexerJavaScript instance.

## Member Function Documentation

const char* TQextScintillaLexerJavaScript::language | ( |  | ) | const`[virtual]`

Returns the name of the language.

Reimplemented from TQextScintillaLexerCPP.

TQColor TQextScintillaLexerJavaScript::color | ( | int | style | ) | const`[virtual]`

Returns the foreground colour of the text for style number style.

See also:
  paper()

Reimplemented from TQextScintillaLexerCPP.

bool TQextScintillaLexerJavaScript::eolFill | ( | int | style | ) | const`[virtual]`

Returns the end-of-line fill for style number style.

Reimplemented from TQextScintillaLexerCPP.

TQFont TQextScintillaLexerJavaScript::font | ( | int | style | ) | const`[virtual]`

Returns the font for style number style.

Reimplemented from TQextScintillaLexerCPP.

const char* TQextScintillaLexerJavaScript::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from TQextScintillaLexerCPP.

TQString TQextScintillaLexerJavaScript::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then TQString() is returned. This is intended to be used in user preference dialogs.

Reimplemented from TQextScintillaLexerCPP.

TQColor TQextScintillaLexerJavaScript::paper | ( | int | style | ) | const`[virtual]`

Returns the background colour of the text for style number style.

See also:
  color()

Reimplemented from TQextScintillaLexerCPP.